<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Prasoon
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
  <!-- Begin Preloader -->
    <div class="loader-wrapper">
        <div id="pre-loader"></div>
    </div>
    <!-- End Preloader -->
  <!-- Begin Home Section -->

      <?php if( is_front_page()) {
        ?>
              <?php if("" != get_theme_mod( 'theme_home_bg' )){
                  ?>
                      <section id="home">
                        <div class="cover-home" style="background:url('<?php echo esc_url(get_theme_mod( 'theme_home_bg' )); ?>') no-repeat;">
                          <div class="cover-home-overlay"></div> <?php
                    }
                    else{
                      ?><section id="content-page">
                          <div class="content-inner">
                      <?php                      
                    }
              ?>             
              
                  <!-- Begin Navbar-->
                    <div id="navigation" class="navbar navbar-default" role="navigation">
                        <div class="container">
                            <div class="navbar-inner">
                                <div class="navbar-header">
                                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                        <span class="sr-only">Toggle navigation</span>
                                        <i class="fa fa-bars fa-1x"></i>
                                    </button>
                                    <?php prasoon_the_custom_logo(); ?>
                                    <?php
                                        ?> <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1> <?php
                                        $description = get_bloginfo( 'description', 'display' );
                                        if ( $description || is_customize_preview() ) { ?>
                                          <p class="site-description"><?php echo $description; ?></p>
                                        <?php }
                                      ?>
                                </div>
                                <?php
                                    wp_nav_menu( array(
                                        'menu'              => 'primary',
                                        'theme_location'    => 'primary',
                                        'depth'             => 2,
                                        'container'         => 'div',
                                        'container_class'   => 'collapse navbar-collapse',
                                        'container_id'      => 'navbar-collapse',
                                        'menu_class'        => 'nav navbar-nav navbar-right',
                                        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                        'walker'            => new wp_bootstrap_navwalker())
                                    );
                                ?>
                            </div>
                        </div>
                    </div>
                    <!-- End Navbar -->

                    <!-- space for promo content -->
                    <?php if("" != get_theme_mod( 'theme_home_bg' )){
                      ?>
                        <div class="promo-section wow fadeInUp" data-wow-duration="2s" data-wow-delay="2s">
                          <div class="container">
                            <div class="row">
                              <div class="col-md-12">
                                  <h2><?php echo esc_html(get_theme_mod( 'home_heading_text' ));?></h2>
                                      <p><?php echo esc_html(get_theme_mod( 'home_subheading_text' ));?></p>
                                  <?php if(""!=get_theme_mod( 'home_button_text' )){
                                    ?><div class="learn-more">
                                        <a href="<?php echo esc_html(get_theme_mod( 'home_button_url' ));?>"><button type="button" class="btn btn-default trans"><?php echo esc_html(get_theme_mod( 'home_button_text' ));?><i class="fa fa-angle-double-right"></i></button></a>
                                      </div><?php
                                  }?>                              
                              </div>
                            </div>
                          </div>
                        </div>
                      <?php
                    }
                    ?>
              </div>
          </section>  
        <?php
      }
      else{
        ?>
          <section id="content-page">
            <div class="content-inner">
                <!-- Begin Navbar-->
                  <div id="navigation" class="navbar navbar-default" role="navigation">
                      <div class="container">
                          <div class="navbar-inner">
                              <div class="navbar-header">
                                  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                      <span class="sr-only">Toggle navigation</span>
                                      <i class="fa fa-bars fa-1x"></i>
                                  </button>
                                  <?php if("" != get_theme_mod( 'theme_content_logo' )) {
                                          ?>
                                          <a href="<?php echo home_url(); ?>"><img src="<?php echo esc_url( get_theme_mod( 'theme_content_logo' ) ); ?>" alt="logo"></a><?php
                                        }                                 
                                        
                                         ?> <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1> <?php

                                        $description = get_bloginfo( 'description', 'display' );
                                        if ( $description || is_customize_preview() ) { ?>
                                          <p class="site-description"><?php echo $description; ?></p>
                                        <?php }
                                  ?>
                              </div>

                              <?php 
                              
                                  wp_nav_menu( array(
                                        'menu'              => 'primary',
                                        'theme_location'    => 'primary',
                                        'depth'             => 2,
                                        'container'         => 'div',
                                        'container_class'   => 'collapse navbar-collapse',
                                        'container_id'      => 'navbar-collapse',
                                        'menu_class'        => 'nav navbar-nav navbar-right',
                                        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                        'walker'            => new wp_bootstrap_navwalker())
                                    );                            

                              ?>                                                         
                          </div>
                      </div>
                  </div>
                  <!-- End Navbar -->

            </div>
        </section>
      <?php
      } 
