<?php
/**
 * Contact Section widget.
 */

 /**
  * Load scripts.
  */


class Prasoon_Contact_Section_Widget extends WP_Widget {
	/**
	 * Register widget with WordPress.
	 */
	function __construct() {
		parent::__construct(
			'pr_contact_widget', // Base ID
			__( 'Prasoon: Contact Section', 'prasoon' ), // Name
			array( 'description' => __( 'Adds Contact section. Please use this widget only for "Business Template" widget area.', 'prasoon' ), ) // Args
		);
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args     Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget( $args, $instance ) {
		extract( $args );

    $heading    = ! empty( $instance['heading'] ) ? $instance['heading'] : '';
    $subheading = ! empty( $instance['subheading'] ) ? $instance['subheading'] : '';
    $address = ! empty( $instance['address'] ) ? $instance['address'] : '';
    $email = ! empty( $instance['email'] ) ? $instance['email'] : '';
    $phone = ! empty( $instance['phone'] ) ? $instance['phone'] : ''; 

    $contactform = ! empty( $instance['contactform'] ) ? $instance['contactform'] : '';

    $icon1 = ! empty( $instance['icon1'] ) ? $instance['icon1'] : ''; 
    $icon1url = ! empty( $instance['icon1url'] ) ? $instance['icon1url'] : '';

    $icon2 = ! empty( $instance['icon2'] ) ? $instance['icon2'] : '';
    $icon2url = ! empty( $instance['icon2url'] ) ? $instance['icon2url'] : ''; 

    $icon3 = ! empty( $instance['icon3'] ) ? $instance['icon3'] : ''; 
    $icon3url = ! empty( $instance['icon3url'] ) ? $instance['icon3url'] : '';

    $icon4 = ! empty( $instance['icon4'] ) ? $instance['icon4'] : ''; 
    $icon4url = ! empty( $instance['icon4url'] ) ? $instance['icon4url'] : ''; 

    $icon5 = ! empty( $instance['icon5'] ) ? $instance['icon5'] : '';
    $icon5url = ! empty( $instance['icon5url'] ) ? $instance['icon5url'] : '';
    ?>

    <!-- Contact Section Starts -->
      <section id="contact">
        <div class="section-inner wow fadeInUp" data-wow-duration="4s">
          <div class="container">
            <div class="contact-section">
              <div class="row">
                <div class="title">
                  <div class="col-md-12">
                    <h3><?php echo $heading; ?></h3>
                    <p><?php echo $subheading; ?></p>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="content">
                  <div class="col-md-6">
                    <div class="contact-details">

                      <?php if(""!=$address){
                        ?>
                          <div class="item">
                            <span class="icon">
                              <span class="icon-display">
                                <i class="fa fa-map-marker"></i>
                              </span>
                            </span>
                            <span class="text">
                              <address>
                                  <?php echo $address; ?>
                              </address>
                            </span>
                          </div>
                        <?php
                       }
                     ?>
                    
                    <?php if(""!=$email){
                     ?>
                        <div class="item">
                            <span class="icon">
                              <span class="icon-display">
                                <i class="fa fa-envelope"></i>
                              </span>
                            </span>
                            <span class="text">
                              <p><?php echo $email; ?></p>
                            </span>
                          </div>
                     <?php
                    }
                    ?>

                    <?php if(""!=$phone){
                      ?>
                        <div class="item">
                            <span class="icon">
                              <span class="icon-display">
                                <i class="fa fa-phone"></i>
                              </span>
                            </span>
                            <span class="text">
                              <p><?php echo $phone; ?></p>
                            </span>
                        </div>
                      <?php
                    }
                    ?>
                      
                      <div class="social-icons">
                        <?php if(""!=$icon1 || ""!=$icon2 || ""!=$icon3 || ""!=$icon4 || ""!=$icon5){
                            ?><h3>FOLLOW US</h3><?php
                        }?>                        

                        <?php 
                            if(""!=$icon1){
                                ?><span class="s-icon"><a href="<?php echo $icon1url; ?>" target="_blank"><i class="fa <?php echo $icon1; ?>"></i></a></span><?php
                            }
                            if(""!=$icon2){
                                ?><span class="s-icon"><a href="<?php echo $icon2url; ?>" target="_blank"><i class="fa <?php echo $icon2; ?>"></i></a></span><?php
                            }
                            if(""!=$icon3){
                                ?><span class="s-icon"><a href="<?php echo $icon3url; ?>" target="_blank"><i class="fa <?php echo $icon3; ?>"></i></a></span><?php
                            }
                            if(""!=$icon4){
                                ?><span class="s-icon"><a href="<?php echo $icon4url; ?>" target="_blank"><i class="fa <?php echo $icon4; ?>"></i></a></span><?php
                            }
                            if(""!=$icon5){
                                ?><span class="s-icon"><a href="<?php echo $icon5url; ?>" target="_blank"><i class="fa <?php echo $icon5; ?>"></i></a></span><?php
                            }
                        ?>
                        
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-inner">
                      <?php echo do_shortcode("$contactform"); ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>


    <?php
	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form( $instance ) {
    $heading    = ! empty( $instance['heading'] ) ? $instance['heading'] : '';
    $subheading = ! empty( $instance['subheading'] ) ? $instance['subheading'] : '';
    $address = ! empty( $instance['address'] ) ? $instance['address'] : '';
    $email = ! empty( $instance['email'] ) ? $instance['email'] : '';
    $phone = ! empty( $instance['phone'] ) ? $instance['phone'] : ''; 

    $contactform = ! empty( $instance['contactform'] ) ? $instance['contactform'] : '';

    $icon1 = ! empty( $instance['icon1'] ) ? $instance['icon1'] : ''; 
    $icon1url = ! empty( $instance['icon1url'] ) ? $instance['icon1url'] : '';

    $icon2 = ! empty( $instance['icon2'] ) ? $instance['icon2'] : '';
    $icon2url = ! empty( $instance['icon2url'] ) ? $instance['icon2url'] : ''; 

    $icon3 = ! empty( $instance['icon3'] ) ? $instance['icon3'] : ''; 
    $icon3url = ! empty( $instance['icon3url'] ) ? $instance['icon3url'] : '';

    $icon4 = ! empty( $instance['icon4'] ) ? $instance['icon4'] : ''; 
    $icon4url = ! empty( $instance['icon4url'] ) ? $instance['icon4url'] : ''; 

    $icon5 = ! empty( $instance['icon5'] ) ? $instance['icon5'] : '';
    $icon5url = ! empty( $instance['icon5url'] ) ? $instance['icon5url'] : '';
    ?>

    <p>
        <label for="<?php echo $this->get_field_id('heading'); ?>"><?php _e('Heading:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('heading'); ?>" name="<?php echo $this->get_field_name('heading'); ?>" type="text" value="<?php echo $heading; ?>" />
    </p>
		<p>
        <label for="<?php echo $this->get_field_id('subheading'); ?>"><?php _e('Sub heading:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('subheading'); ?>" name="<?php echo $this->get_field_name('subheading'); ?>" type="text" value="<?php echo $subheading; ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_id('address'); ?>"><?php _e('Address','prasoon'); ?></label>
        <textarea class="widefat" rows="10" cols="20" id="<?php echo $this->get_field_id('address'); ?>" name="<?php echo $this->get_field_name('address'); ?>"><?php echo $address; ?></textarea>
    </p>
		<p>
        <label for="<?php echo $this->get_field_id('email'); ?>"><?php _e('Email:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo $email; ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_id('phone'); ?>"><?php _e('Phone:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('phone'); ?>" name="<?php echo $this->get_field_name('phone'); ?>" type="text" value="<?php echo $phone; ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_id('contactform'); ?>"><?php _e('Contact Form Shortcode:','prasoon'); ?></label>
        <textarea class="widefat" rows="10" cols="20" id="<?php echo $this->get_field_id('contactform'); ?>" name="<?php echo $this->get_field_name('contactform'); ?>"><?php echo $contactform; ?></textarea>
    </p>



    <p>
        <label for="<?php echo $this->get_field_id('icon1'); ?>"><?php _e('Icon 1 Font Awesome code:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon1'); ?>" name="<?php echo $this->get_field_name('icon1'); ?>" type="text" value="<?php echo $icon1; ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('icon1url'); ?>"><?php _e('Icon 1 url:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon1url'); ?>" name="<?php echo $this->get_field_name('icon1url'); ?>" type="text" value="<?php echo $icon1url; ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_id('icon2'); ?>"><?php _e('Icon 2 Font Awesome code:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon2'); ?>" name="<?php echo $this->get_field_name('icon2'); ?>" type="text" value="<?php echo $icon2; ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('icon2url'); ?>"><?php _e('Icon 2 url:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon2url'); ?>" name="<?php echo $this->get_field_name('icon2url'); ?>" type="text" value="<?php echo $icon2url; ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_id('icon3'); ?>"><?php _e('Icon 3 Font Awesome code:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon3'); ?>" name="<?php echo $this->get_field_name('icon3'); ?>" type="text" value="<?php echo $icon3; ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('icon3url'); ?>"><?php _e('Icon 3 url:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon3url'); ?>" name="<?php echo $this->get_field_name('icon3url'); ?>" type="text" value="<?php echo $icon3url; ?>" />
    </p>


    <p>
        <label for="<?php echo $this->get_field_id('icon4'); ?>"><?php _e('Icon 4 Font Awesome code:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon4'); ?>" name="<?php echo $this->get_field_name('icon4'); ?>" type="text" value="<?php echo $icon4; ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('icon4url'); ?>"><?php _e('Icon 4 url:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon4url'); ?>" name="<?php echo $this->get_field_name('icon4url'); ?>" type="text" value="<?php echo $icon4url; ?>" />
    </p>


    <p>
        <label for="<?php echo $this->get_field_id('icon5'); ?>"><?php _e('Icon 5 Font Awesome code:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon5'); ?>" name="<?php echo $this->get_field_name('icon5'); ?>" type="text" value="<?php echo $icon5; ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('icon5url'); ?>"><?php _e('Icon 5 url:','prasoon'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('icon5url'); ?>" name="<?php echo $this->get_field_name('icon5url'); ?>" type="text" value="<?php echo $icon5url; ?>" />
    </p>

    <?php
	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

    $instance['heading'] = wp_filter_post_kses($new_instance['heading']);
    $instance['subheading'] = wp_filter_post_kses($new_instance['subheading']);
    $instance['address'] = wp_filter_post_kses($new_instance['address']);
    $instance['email'] = wp_filter_post_kses($new_instance['email']);
    $instance['phone'] = wp_filter_post_kses($new_instance['phone']);

    $instance['contactform'] = $new_instance['contactform'];

    $instance['icon1'] = wp_filter_post_kses($new_instance['icon1']);
    $instance['icon1url'] = esc_url($new_instance['icon1url']);

    $instance['icon2'] = wp_filter_post_kses($new_instance['icon2']);
    $instance['icon2url'] = esc_url($new_instance['icon2url']);

    $instance['icon3'] = wp_filter_post_kses($new_instance['icon3']);
    $instance['icon3url'] = esc_url($new_instance['icon3url']);

    $instance['icon4'] = wp_filter_post_kses($new_instance['icon4']);
    $instance['icon4url'] = esc_url($new_instance['icon4url']);

    $instance['icon5'] = wp_filter_post_kses($new_instance['icon5']);
    $instance['icon5url'] = esc_url($new_instance['icon5url']);



    return $instance;
	}

}

// register widget
function register_prasoon_contact_section_widget() {
    register_widget( 'Prasoon_Contact_Section_Widget' );
}
add_action( 'widgets_init', 'register_prasoon_contact_section_widget' );
