<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Prasoon
 */

get_header(); ?>

<section id="blog-section">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
			<?php
			if(have_posts() ) {
			while(have_posts() ) {
			the_post();
			?>
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="blog-post">
						<div class="image">
						<?php
						if ( has_post_thumbnail()) {
						the_post_thumbnail('full');
						}
						?>
						</div>
						
						<div class="content">
							<?php
							if ( is_single() ) {
							the_title( '<h3 class="entry-title">', '</h3>' );
							}
							else { ?>
							<h3 class="entry-title">
									<?php
										if ( is_sticky() && is_home() ) :
											echo "<i class='fa fa-thumb-tack'></i>";
										endif;
									?>
								<a href="<?php echo esc_url( get_permalink()); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h3>
							<div class="meta">
								<span class="meta-item"><span class="lnr lnr-clock"></span><?php _e('Posted on','prasoon'); ?>: <?php the_time('F j, Y'); ?></span>
								<span class="meta-item"><span class="lnr lnr-user"></span><?php _e('Posted by','prasoon'); ?>: <?php the_author() ?></span>
								<span class="meta-item"><span class="lnr lnr-bubble"></span><?php _e('Comments','prasoon'); ?>: <?php comments_number('0','1','%'); ?></span>
							</div>
							<?php
							}
							
							the_excerpt( sprintf(
							/* translators: %s: Name of current post. */
							wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'prasoon' ), array( 'span' => array( 'class' => array() ) ) ),
							the_title( '<span class="screen-reader-text">"', '"</span>', false )
							) );
							?>
						</div>
						<div class="read-more">
							<a href="<?php echo esc_url( get_permalink() ); ?>"><?php _e('READ MORE','prasoon'); ?></a>
						</div>
					</div>
				</article>
				<?php
				} ?>
                <nav class="pagination">
                    <?php prasoon_pagination_bar(); ?>
                </nav>
				<?php	}
				?>
            </div>
            <div class="col-md-3 col-md-offset-1">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>


<?php

get_footer();
